[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# SwapVectors

Swap interrupt vectors

## Declaration

Source position: dosh.inc line 136

`procedure SwapVectors;`

## Description

SwapVectors swaps the contents of the internal table of interrupt vectors with the current contents of the interrupt vectors. This is called typically in before and after an Exec call.

Remark: | Under certain operating systems, this routine may be implemented as an empty stub.

## Errors

None.

## See also

Exec |  | Execute another program, and wait for it to finish.
SetIntVec |  | Set interrupt vector

Documentation generated on: Feb 26 2014